#!/bin/sh
#------------------------------------------------------------------------------
# forbiddendom_del.cgi   -   fli4l 2.1.8                                  0.7.1
#
# Creation:     31.12.2003  hk
# Update:       21.01.2004  jml
# Last Update:  26.09.2004  jml
#
# Copyright (c) 2003/2004 Holger Koch & Jrgen Mackiol
#------------------------------------------------------------------------------

. /var/run/forbiddendom.cfg

domconf="$FORBIDDENDOM_DIR/forbiddendom.conf"
conf="/etc/dnsmasq.conf"

echo "Content-Type: text/html; charset=iso-8859-1"
echo "Cache-control: no-store" # HTTP/1.1 (or no-cache?)
echo "Pragma: no-cache"        # HTTP/1.0
echo "Expires: `date -Ru`"     # Expires now!
echo ""
echo "<html><head>"
echo "<LINK REL=STYLESHEET TYPE="text/css" HREF="forbiddendom.css">"
echo "<title>Forbidden Domains (Delete)</title>"
echo "</head><body>"
echo "<h1><b><u>Forbidden Domains</u></b></h1>"
read domain
domain=`echo "$domain" | cut -f 1 -d"&"`
domain=`echo "$domain" | cut -f 2 -d"="`
grep -v "^$domain" $domconf > /$FORBIDDENDOM_DIR/forbiddendom.del
mv /$FORBIDDENDOM_DIR/forbiddendom.del $domconf
if [ -f $conf ]
   then
       grep -v '/127.0.0.1$' $conf > $conf.new
       mv $conf.new $conf
       /usr/bin/sed 's/^\(.*\)$/address=\/\1\/127.0.0.1/' $domconf >> $conf
       /bin/chown dns:dns $conf
       /bin/chmod 700 $conf
       killall -9 dnsmasq
       sleep 2
       /usr/local/dns/dnsmasq
fi
echo "<h2>Domain&nbsp; <span style="color:#FF0000"><u>$domain</u></span>&nbsp; deleted</h2>"
echo "<h3><a href="main_forbidden-domains.cgi">Done</a></h3>"
echo "</body></html>"