#!/bin/sh
#------------------------------------------------------------------------------
# main_forbidden-domains.cgi   -   fli4l 2.1.8                            0.7.1
#
# Creation:     31.12.2003  hk
# Update:       21.05.2004  jml
# Last Update:  26.09.2004  jml
#
# Copyright (c) 2003/2004 Holger Koch & Jrgen Mackiol
#------------------------------------------------------------------------------
#
SEC_REALM='misc'
SEC_ACTION='view'
. ./sec-lib.cgi

. /var/run/forbiddendom.cfg
RTIME=10

echo "Content-Type: text/html; charset=iso-8859-1"
echo "Cache-control: no-store" # HTTP/1.1 (or no-cache?)
echo "Pragma: no-cache"        # HTTP/1.0
echo "Expires: `date -Ru`"     # Expires now!
echo
echo "<html><head>"
echo "<LINK REL=STYLESHEET TYPE="text/css" HREF="forbiddendom.css">"
echo "<title>Forbidden Domains</title>"
echo "</head><body>"
echo "<center><h2>Opt_ForbiddenDom</h2></center>"
echo "<table width="100%" border="0">"
echo "<tr>"
echo "<td width="33%"><p><b><span style="font-size:10pt">Um einen Domain-Eintrag aus der Liste zu entfernen,
      markiere diesen mit der Maus und klicke auf den *Del*-Button.<br><br><br>Um einen neuen Eintrag
      hinzuzufgen, trage diesen in das Eingabefeld ein und klicke auf den *Add*-Button.<br><br><br>
      <span style="color:blue"><u>Beispiel fr Domain-Eintrge:</u></span><br><br>Um den Zugriff auf yahoo.com
      komplett zu sperren, gebe einfach yahoo.com in das Feld ein. Wenn Du aber nur die Adserver von yahoo.com
      sperren willst, gebe adserver.yahoo.com ein.</span></b></p></td><td width="33%">"
echo "<form name="form1" method="post" action="forbiddendom_del.cgi">"
echo "<p><div align="center">"
echo "<select name="select" size="15">"

# aktuelle Eintrge sortiert in ein TempFile schreiben
sort "$FORBIDDENDOM_DIR/forbiddendom.conf" > /$FORBIDDENDOM_DIR/forbiddendom.sort

# aktuelle Eintrge anzeigen
while read text
  do
   echo "<option>$text</option>"
  done < /$FORBIDDENDOM_DIR/forbiddendom.sort
rm /$FORBIDDENDOM_DIR/forbiddendom.sort

echo "</select>"
echo "</p><p>"
echo "<input type="submit" name="delete" value="Del">"
echo "</form>"
echo "<form name="form2" method="post" action="forbiddendom_add.cgi">"
echo "<input type="text" name="textfield">"
echo "<input type="submit" name="Add" value="Add">"
echo "</div></p></td><td width="33%"></td>"
echo "</tr>"
echo "</table>"
echo "</form>"
echo "</body></html>"